New-Window -WindowStartupLocation CenterScreen -Width 500 -Height 500 -DataContext {
    New-Range 1000 1500 100 | % { Get-PresentValue $_ }
} {

    New-Grid -Rows 105, 35, 100* -Columns 200, 200* {

        New-Grid -Row 0 -Column 0 -Columns 75, 75* -Rows 35, 35, 35 {

            New-Label   -Content "Amount" -Row 0 -Column 0 -Margin 5 -HorizontalAlignment Right
            New-TextBox -Name txtAmount -Text 1000 -Row 0 -Column 1 -Margin 5

            New-Label   -Content "Interest" -Row 1 -Column 0 -Margin 5 -HorizontalAlignment Right
            New-TextBox -Name txtInterest -Text .046 -Row 1 -Column 1 -Margin 5

            New-Label   -Content "# Of Years"  -Row 2 -Column 0 -Margin 5 -HorizontalAlignment Right
            New-TextBox -Name txtNumberOfYears -Text 2 -Row 2 -Column 1 -Margin 5
        }

        New-Grid -Row 0 -Column 1 -Columns 75, 75* -Rows 35, 35{

            New-Label   -Content "Max" -Row 0 -Column 0 -Margin 5 -HorizontalAlignment Right
            New-TextBox -Name txtMax -Text 500 -Row 0 -Column 1 -Margin 5

            New-Label   -Content "Step" -Row 1 -Column 0 -Margin 5 -HorizontalAlignment Right
            New-TextBox -Name txtStep -Text 100 -Row 1 -Column 1 -Margin 5
        }

        New-Button -Content "_Calculate" -Row 1 -Column 0 -Margin 5 -Width 125 -HorizontalAlignment Right

        New-ListView -Row 2 -Column 0 -ColumnSpan 2 -Margin 5 -DataBinding @{ ItemsSource = New-Binding } -View {
			New-GridView -Columns {
				New-GridViewColumn Amount
				New-GridViewColumn PresentValue
				New-GridViewColumn Interest
				New-GridViewColumn NumberOfYears
			}
        }
    }
} -Show