# Function returns a .NET Object
function Get-PresentValue ($Amount = 1000, $Interest = .046, $NumberOfYears = 2) {

    $PresentValue = $Amount/[Math]::Pow((1+$Interest),-$NumberOfYears)

    New-Object PSObject -Property @{
        Amount        = $Amount
        Interest      = $Interest
        NumberOfYears = $NumberOfYears
        PresentValue  = $PresentValue
    }
}

# Outputs an object with properties
Get-PresentValue