function Get-PresentValue ($Amount = 1000, $Interest = .046, $NumberOfYears = 2) {

    $PresentValue = $Amount/[Math]::Pow((1+$Interest),-$NumberOfYears)

    New-Object PSObject -Property @{
        Amount        = $Amount
        Interest      = $Interest
        NumberOfYears = $NumberOfYears
        PresentValue  = $PresentValue
    }
}

1000..1010 | ForEach { Get-PresentValue $_ } | Format-Table -AutoSize