function Global:Get-PresentValue ($Amount = 1000, $Interest = .046, $NumberOfYears = 2) {

    $PresentValue = $Amount/[Math]::Pow((1+$Interest),-$NumberOfYears)
    $PresentValue = "{0:c2}" -f $PresentValue # format string

    New-Object PSObject -Property @{
        Amount        = $Amount
        Interest      = $Interest
        NumberOfYears = $NumberOfYears
        PresentValue  = $PresentValue
    }
}

Import-Module WPK

New-ListView -FontSize 16 `
    -DataContext { 1000..1010 | ForEach { Get-PresentValue $_ } } `
    -DataBinding @{ItemsSource = New-Binding} `
    -View {
        New-GridView {
            New-GridViewColumn Amount
            New-GridViewColumn Interest
            New-GridViewColumn NumberOfYears
            New-GridViewColumn PresentValue
        }
    } -Show